Add a Notification Setting
Add a notification setting.
POST
/
notification_settings
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const notificationSetting = await client.notificationSettings.create();
console.log(notificationSetting.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
notification_setting = client.notification_settings.create()
print(notification_setting.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
notificationSetting, err := client.NotificationSettings.New(context.TODO(), telnyx.NotificationSettingNewParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", notificationSetting.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingCreateParams;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingCreateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
NotificationSettingCreateResponse notificationSetting = client.notificationSettings().create();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
notification_setting = telnyx.notification_settings.create
puts(notification_setting)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$notificationSetting = $client->notificationSettings->create(
notificationChannelID: '12455643-3cf1-4683-ad23-1cd32f7d5e0a',
notificationEventConditionID: '70c7c5cb-dce2-4124-accb-870d39dbe852',
notificationProfileID: '12455643-3cf1-4683-ad23-1cd32f7d5e0a',
parameters: [['name' => 'phone_number', 'value' => '+13125550000']],
);
var_dump($notificationSetting);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx notification-settings create \
--api-key 'My API Key'curl --request POST \
--url https://api.telnyx.com/v2/notification_settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
]
}
'{
"data": {
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
}{
"data": {
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
A UUID reference to the associated Notification Event Condition.
Example:
"70c7c5cb-dce2-4124-accb-870d39dbe852"
A UUID reference to the associated Notification Profile.
Example:
"12455643-3cf1-4683-ad23-1cd32f7d5e0a"
A UUID reference to the associated Notification Channel.
Example:
"12455643-3cf1-4683-ad23-1cd32f7d5e0a"
Show child attributes
Show child attributes
Response
A Notification Setting response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const notificationSetting = await client.notificationSettings.create();
console.log(notificationSetting.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
notification_setting = client.notification_settings.create()
print(notification_setting.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
notificationSetting, err := client.NotificationSettings.New(context.TODO(), telnyx.NotificationSettingNewParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", notificationSetting.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingCreateParams;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingCreateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
NotificationSettingCreateResponse notificationSetting = client.notificationSettings().create();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
notification_setting = telnyx.notification_settings.create
puts(notification_setting)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$notificationSetting = $client->notificationSettings->create(
notificationChannelID: '12455643-3cf1-4683-ad23-1cd32f7d5e0a',
notificationEventConditionID: '70c7c5cb-dce2-4124-accb-870d39dbe852',
notificationProfileID: '12455643-3cf1-4683-ad23-1cd32f7d5e0a',
parameters: [['name' => 'phone_number', 'value' => '+13125550000']],
);
var_dump($notificationSetting);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx notification-settings create \
--api-key 'My API Key'curl --request POST \
--url https://api.telnyx.com/v2/notification_settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
]
}
'{
"data": {
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
}{
"data": {
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}